Retrieves a bundle by id.
const url = 'https://example.com/api/v1/provision/admin/usage-plans/bundles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/usage-plans/bundles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Bundle id.
Responses
Section titled “ Responses ”OK
object
object
object
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
object
object
object
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entitlementTemplateId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "usagePlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "code": "example", "name": "example", "description": "example", "status": 1, "features": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "name": "example", "units": "example", "metricName": "example", "featureType": 1, "lifecycleStatus": 1, "visibility": 1, "meterAggregationType": "example", "enableUserRating": true, "ratingPriority": 1, "ratingQuestion": "example", "enumOptions": [ { "value": "example", "description": "example" } ], "isDeleted": true, "creationTimeStamp": "2026-04-15T12:00:00Z", "lastUpdateTimeStamp": "2026-04-15T12:00:00Z", "revisionNumber": 1 } ], "featureValues": [ { "featureCode": "example", "value": "example", "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ], "planTargets": [ "example" ], "operation": 1 } ]}object
object
object
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entitlementTemplateId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "usagePlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "code": "example", "name": "example", "description": "example", "status": 1, "features": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "name": "example", "units": "example", "metricName": "example", "featureType": 1, "lifecycleStatus": 1, "visibility": 1, "meterAggregationType": "example", "enableUserRating": true, "ratingPriority": 1, "ratingQuestion": "example", "enumOptions": [ { "value": "example", "description": "example" } ], "isDeleted": true, "creationTimeStamp": "2026-04-15T12:00:00Z", "lastUpdateTimeStamp": "2026-04-15T12:00:00Z", "revisionNumber": 1 } ], "featureValues": [ { "featureCode": "example", "value": "example", "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ], "planTargets": [ "example" ], "operation": 1 } ]}Unauthorized
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}